Class | Ramaze::ClassForm
In: | lib/ramaze/helper/sequel_form.rb
Parent: | Form

Form for the model class itself, very similar to an empty instance.

### Methods

args_for field_boolean field_date field_input field_integer field_textarea field_time object_class

### Public Instance methods

args_for(hash)

picks the :name

field_boolean(name)

<input type="checkbox" name="name" />

field_date(name)

<select> with lots of <option>s

field_input(name)

<input name="name" />

field_integer(name)

<input name="name" />

field_textarea(name)

<textarea name="name"></textarea>

field_time(name)

<select> with lots of <option>s

object_class()

Should be that way, at least for Sequel

[Validate]